import { BLOCKCHAIN_NAME, BlockchainName } from 'rubic-sdk';

export const blockchainColor: Record<BlockchainName, string> = {
  [BLOCKCHAIN_NAME.ETHEREUM]: '#627DEA',
  [BLOCKCHAIN_NAME.BINANCE_SMART_CHAIN]: '#F3BA2F',
  [BLOCKCHAIN_NAME.POLYGON]: '#FFFFFF',
  [BLOCKCHAIN_NAME.POLYGON_ZKEVM]: 'linear-gradient(117deg, #A128C5 16.73%, #7C3FE3 83.28%)',
  [BLOCKCHAIN_NAME.HARMONY]: '#FFFFFF',
  [BLOCKCHAIN_NAME.AVALANCHE]: '#E84142',
  [BLOCKCHAIN_NAME.MOONRIVER]: '#FFFFFF',
  [BLOCKCHAIN_NAME.FANTOM]: '#0C33FF',
  [BLOCKCHAIN_NAME.ARBITRUM]: '#2D374B',
  [BLOCKCHAIN_NAME.AURORA]: '#70D44B',
  [BLOCKCHAIN_NAME.TELOS]: '#A76FF2',
  [BLOCKCHAIN_NAME.OPTIMISM]: '#FF0420',
  [BLOCKCHAIN_NAME.CRONOS]: '#002D74',
  [BLOCKCHAIN_NAME.OKE_X_CHAIN]: '#000000',
  [BLOCKCHAIN_NAME.GNOSIS]: '#0A795C',
  [BLOCKCHAIN_NAME.FUSE]: '#B4F9BA',
  [BLOCKCHAIN_NAME.MOONBEAM]: '#E1177C',
  [BLOCKCHAIN_NAME.CELO]: '#35D07F',
  [BLOCKCHAIN_NAME.BOBA]: '#B1DD00',
  [BLOCKCHAIN_NAME.BOBA_BSC]: '#F3BA2F',
  [BLOCKCHAIN_NAME.ASTAR_EVM]: '#3D006C',
  [BLOCKCHAIN_NAME.ETHEREUM_POW]: '#627DEA',
  [BLOCKCHAIN_NAME.KAVA]: '#FF433E',
  [BLOCKCHAIN_NAME.TRON]: '#FF060A',
  [BLOCKCHAIN_NAME.OASIS]: '#FFFFFF',
  [BLOCKCHAIN_NAME.METIS]: '#00D2FF',
  [BLOCKCHAIN_NAME.ZK_SYNC]: '#1E69FF',
  [BLOCKCHAIN_NAME.PULSECHAIN]: '#FFFFFF',
  [BLOCKCHAIN_NAME.LINEA]: '#60DFFF',
  [BLOCKCHAIN_NAME.BASE]: '#FFFFFF',
  [BLOCKCHAIN_NAME.MANTLE]: '#000000',
  [BLOCKCHAIN_NAME.BITGERT]: '#FFFFFF',
  [BLOCKCHAIN_NAME.ASTAR]: '#3D006C',
  [BLOCKCHAIN_NAME.BITCOIN]: '#F7931A',
  [BLOCKCHAIN_NAME.SOLANA]: '#000000',
  [BLOCKCHAIN_NAME.NEAR]: '#000000',
  [BLOCKCHAIN_NAME.KLAYTN]: '#FFFFFF',
  [BLOCKCHAIN_NAME.VELAS]: '#0037C1',
  [BLOCKCHAIN_NAME.SYSCOIN]: '#FFFFFF',
  [BLOCKCHAIN_NAME.EOS]: '#FFFFFF',
  [BLOCKCHAIN_NAME.ETHEREUM_CLASSIC]: '#FFFFFF',
  [BLOCKCHAIN_NAME.FILECOIN]: '#0090FF',
  [BLOCKCHAIN_NAME.FLARE]: '#FFFFFF',
  [BLOCKCHAIN_NAME.ONTOLOGY]: '#48A3FF',
  [BLOCKCHAIN_NAME.XDC]: '#FFFFFF',
  [BLOCKCHAIN_NAME.BITCOIN_CASH]: '#0AC18E',
  [BLOCKCHAIN_NAME.ICP]: '#FFFFFF',
  [BLOCKCHAIN_NAME.CARDANO]: '#0032AD',
  [BLOCKCHAIN_NAME.ALGORAND]: '#FFFFFF',
  [BLOCKCHAIN_NAME.APTOS]: '#000000',
  [BLOCKCHAIN_NAME.COSMOS]: '#000000',
  [BLOCKCHAIN_NAME.BITCOIN_DIAMOND]: '#818181',
  [BLOCKCHAIN_NAME.BSV]: '#EAB300',
  [BLOCKCHAIN_NAME.BITCOIN_GOLD]: 'linear-gradient(147deg, #F1D200 15.37%, #D27D00 93.43%)',
  [BLOCKCHAIN_NAME.DASH]: '#048EE2',
  [BLOCKCHAIN_NAME.DOGECOIN]: '#BFA64A',
  [BLOCKCHAIN_NAME.POLKADOT]: '#E6007A',
  [BLOCKCHAIN_NAME.FLOW]: '#00EF8B',
  [BLOCKCHAIN_NAME.HEDERA]: '#000000',
  [BLOCKCHAIN_NAME.IOTA]: '#000000',
  [BLOCKCHAIN_NAME.KUSAMA]: '#000000',
  [BLOCKCHAIN_NAME.LITECOIN]: '#335E9F',
  [BLOCKCHAIN_NAME.MINA_PROTOCOL]: '#DE611A',
  [BLOCKCHAIN_NAME.NEO]: '#00E599',
  [BLOCKCHAIN_NAME.OSMOSIS]: '#A61FFF',
  [BLOCKCHAIN_NAME.SIA]: '#03C75F',
  [BLOCKCHAIN_NAME.SECRET]: '#000000',
  [BLOCKCHAIN_NAME.TON]: '#0088CC',
  [BLOCKCHAIN_NAME.WAVES]: '#0055FE',
  [BLOCKCHAIN_NAME.WAX]: '#F68E20',
  [BLOCKCHAIN_NAME.STELLAR]: '#FFFFFF',
  [BLOCKCHAIN_NAME.MONERO]: '#FFFFFF',
  [BLOCKCHAIN_NAME.RIPPLE]: '#000000',
  [BLOCKCHAIN_NAME.TEZOS]: '#2C7DF7',
  [BLOCKCHAIN_NAME.ZILLIQA]: '#49C1BF',
  [BLOCKCHAIN_NAME.KAVA_COSMOS]: '#FF433E',
  [BLOCKCHAIN_NAME.GOERLI]: '#627EEA',
  [BLOCKCHAIN_NAME.SCROLL_SEPOLIA]: '#627EEA',
  [BLOCKCHAIN_NAME.ZETACHAIN]: '#005741',
  [BLOCKCHAIN_NAME.DFK]: '#FFFFFF',
  [BLOCKCHAIN_NAME.IOTEX]: '#00D4D5',
  [BLOCKCHAIN_NAME.THETA]: '#1B1F2B',
  [BLOCKCHAIN_NAME.AION]: '#FFFFFF',
  [BLOCKCHAIN_NAME.ARDOR]: '#FFFFFF',
  [BLOCKCHAIN_NAME.ARK]: '#C9292C',
  [BLOCKCHAIN_NAME.BAND_PROTOCOL]: '#516AFF',
  [BLOCKCHAIN_NAME.CASPER]: '#FFFFFF',
  [BLOCKCHAIN_NAME.DECRED]: '#000000',
  [BLOCKCHAIN_NAME.DIGI_BYTE]: '#286BCB',
  [BLOCKCHAIN_NAME.DIVI]: '#DA4154',
  [BLOCKCHAIN_NAME.MULTIVERS_X]: '#FFFFFF',
  [BLOCKCHAIN_NAME.FIO_PROTOCOL]: '#080F25',
  [BLOCKCHAIN_NAME.FIRO]: '#FFFFFF',
  [BLOCKCHAIN_NAME.HELIUM]: '#FFFFFF',
  [BLOCKCHAIN_NAME.ICON]: '#FFFFFF',
  [BLOCKCHAIN_NAME.IOST]: '#FFFFFF',
  [BLOCKCHAIN_NAME.KADENA]: '#FFFFFF',
  [BLOCKCHAIN_NAME.KOMODO]: '#22B4AB',
  [BLOCKCHAIN_NAME.LISK]: '#0D4EA0',
  [BLOCKCHAIN_NAME.TERRA]: '#FFFFFF',
  [BLOCKCHAIN_NAME.TERRA_CLASSIC]: '#172852',
  [BLOCKCHAIN_NAME.NANO]: '#209CE9',
  [BLOCKCHAIN_NAME.PIVX]: '#FFFFFF',
  [BLOCKCHAIN_NAME.POLYX]: '#FFFFFF',
  [BLOCKCHAIN_NAME.QTUM]: '#FFFFFF',
  [BLOCKCHAIN_NAME.THOR_CHAIN]: '#101821',
  [BLOCKCHAIN_NAME.RAVENCOIN]: '#FFFFFF',
  [BLOCKCHAIN_NAME.STACKS]: '#5546FF',
  [BLOCKCHAIN_NAME.STARKNET]: '#30166B',
  [BLOCKCHAIN_NAME.STEEM]: '#FFFFFF',
  [BLOCKCHAIN_NAME.STRATIS]: '#FFFFFF',
  [BLOCKCHAIN_NAME.SOLAR]: '#FFFFFF',
  [BLOCKCHAIN_NAME.VE_CHAIN]: '#55BBF9',
  [BLOCKCHAIN_NAME.DX_CHAIN]: '#14151F',
  [BLOCKCHAIN_NAME.E_CASH]: '#076ABC',
  [BLOCKCHAIN_NAME.NEM]: '#FFFFFF',
  [BLOCKCHAIN_NAME.VERGE]: '#37BDE2',
  [BLOCKCHAIN_NAME.SYMBOL]: '#FFFFFF',
  [BLOCKCHAIN_NAME.ZCASH]: '#F4B728',
  [BLOCKCHAIN_NAME.HORIZEN]: '#041742',
  [BLOCKCHAIN_NAME.BINANCE_SMART_CHAIN_TESTNET]: '#F3BA2F',
  [BLOCKCHAIN_NAME.MUMBAI]: '#834897',
  [BLOCKCHAIN_NAME.FUJI]: '#E84142',
  [BLOCKCHAIN_NAME.ARTHERA]: '#871DF5',
  [BLOCKCHAIN_NAME.MANTA_PACIFIC]: '#ffffff',
  [BLOCKCHAIN_NAME.SCROLL]: '#ffffff',
  [BLOCKCHAIN_NAME.SEPOLIA]: '#627DEA',
  [BLOCKCHAIN_NAME.BERACHAIN]: '#FB7C15',
  [BLOCKCHAIN_NAME.BLAST_TESTNET]: '#FCFC03',
  [BLOCKCHAIN_NAME.BLAST]: 'rgba(252, 252, 3, 1)',
  [BLOCKCHAIN_NAME.HOLESKY]: '#627DEA',
  [BLOCKCHAIN_NAME.ROOTSTOCK]: 'rgba(255, 145, 0, 1)',
  [BLOCKCHAIN_NAME.KROMA]: '#ffffff',
  [BLOCKCHAIN_NAME.HORIZEN_EON]: '#041742',
  [BLOCKCHAIN_NAME.MERLIN]: '#7438ff',
  [BLOCKCHAIN_NAME.MODE]: '#000000',
  [BLOCKCHAIN_NAME.ZK_FAIR]: '#000000',
  [BLOCKCHAIN_NAME.ZK_LINK]: '#000000',
  [BLOCKCHAIN_NAME.XLAYER]: '#000000',
  [BLOCKCHAIN_NAME.TAIKO]: '#FFFFFF',
  [BLOCKCHAIN_NAME.SEI]: '#000000'
};
